#ifndef XmlUpdateLayer_hpp
#define XmlUpdateLayer_hpp

#include <string>

#include "TreeInterfaces.hpp"

namespace apoc { namespace legacy {
    
class XmlUpdateLayer : public IUpdateLayer
{
    public :
        XmlUpdateLayer(const char *aData, int aSize) : mBlob(aData, aSize) {}
        XmlUpdateLayer(const std::string& aBlob) : mBlob(aBlob) {}
        virtual ~XmlUpdateLayer(void) {}

        virtual void read(ITreeHandler& aHandler) const ;
    protected :
    private :
        std::string mBlob ;
} ;

} } 

#endif // XmlUpdateLayer_hpp
